> For the complete documentation index, see [llms.txt](https://docs.variant3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.variant3d.com/variant-js-sdk/launching-a-quicklook.md).

# Launching an AR Quicklook

To launch an AR quicklook, set the product variant options, and any presentation options you want, then pass that object to `Variant.launchQuicklook().`

This will open your product in either [iOS AR Quicklook](https://webkit.org/blog/8421/viewing-augmented-reality-assets-in-safari-for-ios/), or via WebXR in the users' browser on Android devices.

You can specify the product via the Product Code you previously set in the Variant CMS (under 'Edit Product'). Make sure your product is set to 'Published' to view it outside of the Variant CMS.

{% hint style="info" %}
Due to content restrictions on mobile browsers, this function is only guaranteed to work if called via user input (click/tap).
{% endhint %}

```javascript
var data = {
    productCode: 'SKU001'
    options: {    
        meshes : [
            {
                tag: 'CHAIR',
                enabled: true   
            },
            {
                tag: 'FOOTSTOOL',
                enabled: true
            }            
        ],
        materials : [
            {
                tag: 'LEATHER',
                meshTag : 'CHAIR'
            }
        ]
    }
};

Variant.launchQuicklook(data);
```

## Showing products without variants

All uploaded products have a `default` preset that will show the product without any tagged meshes.  If you upload a GLTF without any tagged meshes or materials, the `default` preset will show that model as-is.

```javascript
var data = {
   productCode: 'SKU001'
   preset: 'default'
};

Variant.launchQuicklook(data);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.variant3d.com/variant-js-sdk/launching-a-quicklook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
